= tlsrpt_errno_from_error_code(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_errno_from_error_code
:mansource: tlsrpt_errno_from_error_code
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_errno_from_error_code - returns the `errno` part of an errorcode

== Synopsis

#include <tlsrpt.h>

int tlsrpt_errno_from_error_code(int errorcode)

== Description

The `tlsrpt_errno_from_error_code` function returns the `errno` part of an errorcode.
In case of internal library errors from the TLSRPT_ERR_TLSRPT block the returned value will be a high number to avoid clashes with existing errno values.
I.e. `TLSRPT_ERR_TLSRPT_NESTEDPOLICY` is 10731 instead of 10031 to avoid the errno part being decoded as `EMLINK`.


== Return value

The tlsrpt_errno_from_error_code function returns 0 on success and a combined error code on failure.
The combined error code can be analyzed with the _tlsrpt_strerror_ function.

== See also
man:tlsrpt_error_code_is_internal[3], man:tlsrpt_strerror[3]






